Package org.drinkless.tdlib

# Class TdApi.GetChatArchivedStories

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Stories>
org.drinkless.tdlib.TdApi.GetChatArchivedStories

Enclosing class:
  `TdApi`

public static class TdApi.GetChatArchivedStories extends TdApi.Function<TdApi.Stories>
Returns the list of all stories posted by the given chat; requires canEditStories administrator right in the chat. The stories are returned in reverse chronological order (i.e., in order of decreasing storyId). For optimal performance, the number of returned stories is chosen by TDLib.

Returns `Stories`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `fromStoryId`
  Identifier of the story starting from which stories must be returned; use 0 to get results from the last story.
  `int`
  `limit`
  The maximum number of stories to be returned.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetChatArchivedStories()`
  Default constructor for a function, which returns the list of all stories posted by the given chat; requires canEditStories administrator right in the chat.
  `GetChatArchivedStories(long chatId, int fromStoryId, int limit)`
  Creates a function, which returns the list of all stories posted by the given chat; requires canEditStories administrator right in the chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### fromStoryId

    public int fromStoryId
    Identifier of the story starting from which stories must be returned; use 0 to get results from the last story.

  - ### limit

    public int limit
    The maximum number of stories to be returned. For optimal performance, the number of returned stories is chosen by TDLib and can be smaller than the specified limit.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetChatArchivedStories

    public GetChatArchivedStories()
    Default constructor for a function, which returns the list of all stories posted by the given chat; requires canEditStories administrator right in the chat. The stories are returned in reverse chronological order (i.e., in order of decreasing storyId). For optimal performance, the number of returned stories is chosen by TDLib.

    Returns `Stories`

  - ### GetChatArchivedStories

    public GetChatArchivedStories(long chatId, int fromStoryId, int limit)
    Creates a function, which returns the list of all stories posted by the given chat; requires canEditStories administrator right in the chat. The stories are returned in reverse chronological order (i.e., in order of decreasing storyId). For optimal performance, the number of returned stories is chosen by TDLib.

    Returns `Stories`

    Parameters:
      `chatId` - Chat identifier.
      `fromStoryId` - Identifier of the story starting from which stories must be returned; use 0 to get results from the last story.
      `limit` - The maximum number of stories to be returned. For optimal performance, the number of returned stories is chosen by TDLib and can be smaller than the specified limit.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Stories>`
    Returns:
      this.CONSTRUCTOR